Create a feature

Creates a new feature.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class represents the feature data transfer object for the command request.

eventIdstring · nullableOptional

The event id. This value represents the event that the feature belongs to.

codestring · min: 1Required

The code of the feature.

namestring · min: 1Required

The name of the feature.

unitstring · nullableOptional

The unit of the feature.

defaultValueinteger · int32 · nullableOptional

The default value of the feature.

helpURLstring · uri · nullableOptional

The help URL of the feature. This value must be a valid URL.

imagestring · uri · nullableOptional

The image of the feature. This value must be a valid URL.

stylesstring · nullableOptional

The style of the feature. It is a JSON string. You can use this property to store the CSS styles of the feature.

descriptionstring · nullableOptional

The description of the feature. The description can be a long text.

tagsstring · nullableOptional

The tags of the feature. You can use this property to store the tags of the feature.

zOrderinteger · int64Optional

The zOrder number in the list. This property is used to sort the features in the list when displaying them. By default, the value is 1.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Responses
chevron-right
201

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

post
/api/v1/features

Last updated